> ## Documentation Index
> Fetch the complete documentation index at: https://doc.geekapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3 视频生成 API | 文生与图生视频

> 可灵 3 /3 omni视频生成接口，支持文生视频、图生视频，720P/1080P 双模式，时长 5/10/15 秒。

通过 即刻API 统一网关调用可灵 3/3 omni 视频生成接口，支持文本生成视频、图生视频，所有任务均为异步处理。

## 请求参数\\

<ParamField body="model" type="string" required>
  视频生成模型。

  * `kling3-720p` — 720P（必须带有参考图）
  * `kling3-1080p` — 1080P（必须带有参考图）
  * `kling-o3-720p` — Omni 720P
  * `kling-o3-1080p` — Omni 1080P
</ParamField>

<ParamField body="prompt" type="string" required>
  视频提示词。

  <ParamField body="size" type="string" required>
    输出分辨率。

    * `kling3-720p`：`1280x720`、`720x1280`
    * `kling3-1080p`：`1920x1080`、`1080x1920`
    * `kling-o3-720p`：`1280x720`、`720x1280`
    * `kling-o3-1080p`：`1920x1080`、`1080x1920`
  </ParamField>

  <ParamField body="duration" type="integer" required>
    视频时长。

    * `kling3-720p`：`5`、`10`、`15`
    * `kling3-1080p`：`5`、`10`、`15`
    * `kling-o3-720p`：`5`、`15`
    * `kling-o3-1080p`：`5`、`15`
  </ParamField>
</ParamField>

<ParamField body="images" type="string[]" required>
  参考图 URL 数组，至少 `1` 张，最多4张。
</ParamField>

## 请求示例\\

```text theme={null}
curl --request POST \
  --url https://geekapis.com/v1/video/generations \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "kling3-720p",
    "prompt": "一只金色的猫咪在阳光下的草地上奔跑，慢动作，电影质感",
    "size": "1280x720",
    "duration": 5,
    "images": ["https://placehold.co/512x512/png"]
  }'
```

## \\

## 返回示例

```json 200 theme={null}
{
  "id": "task_td92zhXHM2MsU04JrvpED7XAOyb02coT",
  "task_id": "task_td92zhXHM2MsU04JrvpED7XAOyb02coT",
  "object": "video",
  "model": "kling3-5s-16x9-720p",
  "status": "queued",
  "progress": 0,
  "created_at": 1782465644,
  "seconds": "5",
  "size": "1280x720"
}
```

## 查询任务状态

提交后，使用以下接口轮询任务进度：

```text theme={null}
GET https://geekapis.com/v1/videos/{task_id}
```
